Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2014-05-18 18:43:11 +0000
committerDavid Williams2014-05-18 18:43:11 +0000
commitf8c8e92fbeacfddce290a02cb0d5ce5b7cd1d6bd (patch)
treeea20b3823609d7c8c621b0392067040ac3c9dd63 /production/git-submodule-checkout.sh
parent934047c9e1eb4c853d2610ae60e458aaecff6b67 (diff)
downloadeclipse.platform.releng.aggregator-f8c8e92fbeacfddce290a02cb0d5ce5b7cd1d6bd.tar.gz
eclipse.platform.releng.aggregator-f8c8e92fbeacfddce290a02cb0d5ce5b7cd1d6bd.tar.xz
eclipse.platform.releng.aggregator-f8c8e92fbeacfddce290a02cb0d5ce5b7cd1d6bd.zip
Bug 409076 - establish standard formatting - indentation
Diffstat (limited to 'production/git-submodule-checkout.sh')
-rw-r--r--production/git-submodule-checkout.sh82
1 files changed, 41 insertions, 41 deletions
diff --git a/production/git-submodule-checkout.sh b/production/git-submodule-checkout.sh
index 9950bd6a2..359e2ef99 100644
--- a/production/git-submodule-checkout.sh
+++ b/production/git-submodule-checkout.sh
@@ -2,8 +2,8 @@
#
# TODO: this script is called with repoScript=$( echo $SCRIPT_PATH/git-submodule-checkout.sh )
-# so any echo messages and exit codes are being "eaten" by the eval clause.
-# But, not sure it needs to be evaled for repoScript?
+# so any echo messages and exit codes are being "eaten" by the eval clause.
+# But, not sure it needs to be evaled for repoScript?
# If needed, will need to write to "buildFailed_ type of file, then check for that file
# after its called. But, for now, will write to TRACE_OUTPUT
@@ -12,59 +12,59 @@ name="$1"; shift
VAL=$( grep "^${name}:" "$REPOSITORIES_TXT" | cut -f2 -d" ")
-# Here we count on $BUILD_TYPE being exported. TODO: make parameter later?
-if [[ -n "$BUILD_TYPE" && "$BUILD_TYPE" == "N" ]]
+# Here we count on $BUILD_TYPE being exported. TODO: make parameter later?
+if [[ -n "$BUILD_TYPE" && "$BUILD_TYPE" == "N" ]]
then
- if [[ "master" != $VAL ]]
- then
- echo "INFO: Branch forced to 'master', instead of '$VAL', since doing N-Build" >> ${TRACE_OUTPUT}
- VAL="master"
- fi
+ if [[ "master" != $VAL ]]
+ then
+ echo "INFO: Branch forced to 'master', instead of '$VAL', since doing N-Build" >> ${TRACE_OUTPUT}
+ VAL="master"
+ fi
fi
if [ -z "$VAL" ]; then
- echo "WARNING: No tag or branch specified for $name in repositories.txt" >> ${TRACE_OUTPUT}
- echo " Has a submodule been added? Perhaps just commented out?" >> ${TRACE_OUTPUT}
- echo " Will use what ever was last added to aggregator" >> ${TRACE_OUTPUT}
- # is this ever an error?
- exit
+ echo "WARNING: No tag or branch specified for $name in repositories.txt" >> ${TRACE_OUTPUT}
+ echo " Has a submodule been added? Perhaps just commented out?" >> ${TRACE_OUTPUT}
+ echo " Will use what ever was last added to aggregator" >> ${TRACE_OUTPUT}
+ # is this ever an error?
+ exit
fi
-# always fetch before checkout, to be sure new
+# always fetch before checkout, to be sure new
# branches are in local repo (in case we are switching
# to a new branch or tag).
git fetch
RC=$?
if [[ $RC != 0 ]]
-then
- echo "ERROR: Return code of $RC during fetch of $name repository" >> ${TRACE_OUTPUT}
- exit $RC
+then
+ echo "ERROR: Return code of $RC during fetch of $name repository" >> ${TRACE_OUTPUT}
+ exit $RC
fi
if [ -z "$(git tag -l $VAL)" ]; then
- echo Updating branch $VAL
- git checkout $VAL
- RC=$?
- if [[ $RC != 0 ]]
- then
- echo "ERROR: Return code of $RC during checkout of $VAL for repository $name" >> ${TRACE_OUTPUT}
- exit $RC
- fi
- git pull
- RC=$?
- if [[ $RC != 0 ]]
- then
- echo "ERROR: Return code of $RC during pull for repository $name" >> ${TRACE_OUTPUT}
- exit $RC
- fi
+ echo Updating branch $VAL
+ git checkout $VAL
+ RC=$?
+ if [[ $RC != 0 ]]
+ then
+ echo "ERROR: Return code of $RC during checkout of $VAL for repository $name" >> ${TRACE_OUTPUT}
+ exit $RC
+ fi
+ git pull
+ RC=$?
+ if [[ $RC != 0 ]]
+ then
+ echo "ERROR: Return code of $RC during pull for repository $name" >> ${TRACE_OUTPUT}
+ exit $RC
+ fi
else
- echo Updating to tag $VAL
- git checkout $VAL
- RC=$?
- if [[ $RC != 0 ]]
- then
- echo "ERROR: Return code of $RC during checkout of $VAL for repository $name" >> ${TRACE_OUTPUT}
- exit $RC
- fi
+ echo Updating to tag $VAL
+ git checkout $VAL
+ RC=$?
+ if [[ $RC != 0 ]]
+ then
+ echo "ERROR: Return code of $RC during checkout of $VAL for repository $name" >> ${TRACE_OUTPUT}
+ exit $RC
+ fi
fi

Back to the top